<%@page import="com.ibm.sbt.smartcloud.Util"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<%@page import="java.io.PrintWriter"%>
<%@page import="java.util.Collection"%>
<%@page import="com.ibm.commons.runtime.Application"%>
<%@page import="com.ibm.commons.runtime.Context"%>
<%@page
	import="com.ibm.sbt.services.client.connections.communities.Community"%>
<%@page
	import="com.ibm.sbt.services.client.connections.communities.CommunityService"%>
<%@page
	import="com.ibm.sbt.services.client.connections.forums.model.BaseForumEntity"%>
<%@page
	import="com.ibm.sbt.services.client.connections.forums.ForumList"%>
<%@page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>

<head>
<title>Smart Cloud Sample</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">

<!-- Using Dojo as the underlying toolkit in this sample but it could also be JQuery -->
<script type="text/javascript" src="/sbt.dojo180/dojo/dojo.js"
	djConfig="parseOnLoad: true"></script>
<!-- Configure the SDK JavaScript library and notify that Dojo v1.8.0 is being used -->
<script type="text/javascript"
	src="/smartcloud.webapp/library?lib=dojo&ver=1.8.0"></script>

<!-- This add's the CSS required for the Smart Cloud navigation bar -->
<link rel="stylesheet" href="<%=Util.getThemeUrl()%>" type="text/css" />
</head>

<body class="lotusui30_body">
	<!-- Include the Smart Cloud navigation bar -->
	<div class="lotusui30 lotusui30_fonts scloud3">
		<script type="text/javascript" src="<%=Util.getNavBarUrl()%>"></script>
	</div>


	<div>
		<div style="float: left; border: 10px solid white;">
			<div>
				<img width="128" height="128" src="" id="photo">
			</div>
		</div>
		<div style="border: 20px solid white;">
			<div>
				<strong id="name"></strong>
			</div>
			<div>
				<div id="jobTitle"></div>
				<div id="department"></div>
				<div id="address"></div>
			</div>
		</div>
		<b>Open Support Topics:</b><br/>
		<div id="forumsDiv">
			<table id="forumsTable"></table>
		</div>
	</div>


	<!-- Get the local users subscriber id and use this to retrieve and display their profile -->
	<script type="text/javascript">
		require([ "sbt/smartcloud/ProfileService", "sbt/dom", "sbt/config" ],
				function(ProfileService, dom, config) {

					var endpoint = config.findEndpoint("smartcloud");
					var url = "/manage/oauth/getUserIdentity";
					var options = {
						handleAs : "json"
					};
					endpoint.request(url, options).then(function(response) {
						handleUserIdentity(response);
					});

					function handleUserIdentity(entry) {
						var profileId = entry.subscriberid;
						var profileDisplayName = entry.name;
						var profileService = new ProfileService();
						profileService.getProfileByGUID(profileId)
								.then(
										function(profile) {
											dom.setText("name", profile
													.getDisplayName());
											dom.byId("photo").src = profile
													.getThumbnailUrl();
											dom.setText("jobTitle", profile
													.getTitle());
											dom.setText("address", profile
													.getAddress());
											dom.setText("department", profile
													.getDepartment());
										});
					}
				});
	</script>


	<script type="text/javascript">
		require(
				[ "sbt/connections/CommunityService", "sbt/dom", "dojo/dom-construct" ],
				function(CommunityService, dom, domConstruct) {
					var createRow = function(topic) {
						var title = topic.getTitle();
						var url = topic.getTopicUrl();
						
						console.log("url - " + url);
						//var forumUuid = topic.getForumUuid();
						//var communityUuid = topic.getCommunityUuid();
						
						

						var table = dom.byId("forumsTable");
						
						var tr = document.createElement("tr");
						table.appendChild(tr);
						
						var td = document.createElement("td");
						
						//var linka = dom.createElement("button");
						//link.href = url;
						//link.innerHTML=title;
						
						console.log("here" + title + " " + url);
						var data = domConstruct.toDom("<a href=\"" + url +  "\" > " + title + "</a>");
						domConstruct.place(data,td );
						tr.appendChild(td);
						
						//td = document.createElement("td");
						//td.appendChild(dom.createTextNode(forumUuid));
						//tr.appendChild(td);
						//td = document.createElement("td");
						//td.appendChild(dom.createTextNode(communityUuid));
						
						tr.appendChild(td);
					};

					var communityService = new CommunityService('smartcloud');
					communityService
							.getForumTopics(
									"45de91c4-7e8c-404c-9896-e9f521e51c7d")
							.then(
									function(topics) {
										console.log(topics);
										if (topics.length == 0) {
											dom
													.setText("forumsDiv",
															"Community does not have any forums topics.");
										} else {
											for (var i = 0; i < topics.length; i++) {
												var topic = topics[i];
												createRow(topic);
											}
										}
									},
									function(error) {
										console.log(error);
										dom.setText("forumsDiv", "Error code:"
												+ error.code + ", message:"
												+ error.message);
									});
				});
	</script>
</body>

</html>